Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452141 - Provide means to limit brokers memory use
Summary: Provide means to limit brokers memory use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: 1.0.1
: ---
Assignee: Gordon Sim
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 459250
TreeView+ depends on / blocked
 
Reported: 2008-06-19 16:03 UTC by Gordon Sim
Modified: 2008-10-06 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 19:08:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0640 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 19:08:07 UTC

Description Gordon Sim 2008-06-19 16:03:31 UTC
In the simplest case we should just issue session exceptions when client attempt
to do things that would push the broker above a given limit.

Comment 1 Gordon Sim 2008-07-10 08:47:51 UTC
Moving target to 1.1 as we don't yet have a good solution for this.

Comment 3 Gordon Sim 2008-07-17 15:13:49 UTC
Initial suggested solution is as follows:

On startup broker determines the available system memory. The default policy on
any queue for which an explicit policy is not set is to not go above a certain
percentage of this (else flow to disk or throw exception as usual).

Comment 4 Gordon Sim 2008-07-25 13:36:56 UTC
Fixed by r679462.

Comment 5 Gordon Sim 2008-08-15 08:03:45 UTC
Fix involves applying a fixed size (but configurable) default policy for queues (--default-queue-policy). Once the total message data on the queue reaches that limit, further publications will be either flushed to disk (if the queue is durable) or failed.

Comment 7 Frantisek Reznicek 2008-09-10 08:26:06 UTC
RHTS test MRG_Messaging/qpid_queue_policy_bz452141_bz456667 proves that queue policies (queue max message count and queue byte size) are implemented and tested. (ON_QA->VERIFIED)

Comment 9 errata-xmlrpc 2008-10-06 19:08:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html


Note You need to log in before you can comment on or make changes to this bug.